# 🚨 eufy-security-ws-python: A Python wrapper around eufy-security-ws

[![CI](https://github.com/bachya/eufy-security-ws-python/workflows/CI/badge.svg)](https://github.com/bachya/eufy-security-ws-python/actions)
[![PyPi](https://img.shields.io/pypi/v/eufy-security-ws-python.svg)](https://pypi.python.org/pypi/eufy-security-ws-python)
[![Version](https://img.shields.io/pypi/pyversions/eufy-security-ws-python.svg)](https://pypi.python.org/pypi/eufy-security-ws-python)
[![License](https://img.shields.io/pypi/l/eufy-security-ws-python.svg)](https://github.com/bachya/eufy-security-ws-python/blob/master/LICENSE)
[![Code Coverage](https://codecov.io/gh/bachya/eufy-security-ws-python/branch/dev/graph/badge.svg)](https://codecov.io/gh/bachya/eufy-security-ws-python)
[![Maintainability](https://api.codeclimate.com/v1/badges/81a9f8274abf325b2fa4/maintainability)](https://codeclimate.com/github/bachya/eufy-security-ws-python/maintainability)
[![Say Thanks](https://img.shields.io/badge/SayThanks-!-1EAEDB.svg)](https://saythanks.io/to/bachya)

`eufy-security-ws-python` is a simple Python wrapper around [`https://github.com/bropat/eufy-security-ws`](https://github.com/bropat/eufy-security-ws).

# Installation

```python
pip install eufy-security-ws-python
```

# Python Versions

`eufy-security-ws-python` is currently supported on:

* Python 3.8
* Python 3.9

# Contributing

1. [Check for open features/bugs](https://github.com/bachya/eufy-security-ws-python/issues)
  or [initiate a discussion on one](https://github.com/bachya/eufy-security-ws-python/issues/new).
2. [Fork the repository](https://github.com/bachya/eufy-security-ws-python/fork).
3. (_optional, but highly recommended_) Create a virtual environment: `python3 -m venv .venv`
4. (_optional, but highly recommended_) Enter the virtual environment: `source ./venv/bin/activate`
5. Install the dev environment: `script/setup`
6. Code your new feature or bug fix.
7. Write tests that cover your new functionality.
8. Run tests and ensure 100% code coverage: `script/test`
9. Update `README.md` with any new documentation.
10. Add yourself to `AUTHORS.md`.
11. Submit a pull request!
